System Requirements for PowerWorship 4.0